Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 842714 - net-libs/libproxy support duktape
Summary: net-libs/libproxy support duktape
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Freedesktop bugs
URL: https://github.com/libproxy/libproxy/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-05 08:45 UTC by Garry Filakhtov
Modified: 2022-06-21 04:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Modified ebuild with duktape support (libproxy-0.4.17-r1.ebuild,2.73 KB, text/plain)
2022-05-05 08:45 UTC, Garry Filakhtov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Garry Filakhtov 2022-05-05 08:45:52 UTC
Created attachment 776858 [details]
Modified ebuild with duktape support

Hello Gentoo folks!

The net-libs/libproxy library is the last package on my system that depends on the outdated version of the dev-lang/spidermonkey package and thus on Python 2.7. I have recently discovered that libproxy supports duktape as an alternative JS engine and it would be great to support building the library against it.

Modified ebuild attached ;)

Thanks in advance!
Comment 1 Matt Turner gentoo-dev 2022-05-06 21:28:49 UTC
/me scratches head

I see that upstream commit bcde153760ee885d2c633994e78ac447f8ec0713 merged duktape support. But that commit isn't in any tagged version yet.

So I don't know how we can use the ebuild at this time.
Comment 2 Garry Filakhtov 2022-05-07 00:31:03 UTC
Oops, yeah, sorry, you are right. I built it from git source to test my poc and noticed the flag and didn't check tags  before putting together that ebuild. I'll post an upstream issue to get a fresh release going.
Comment 3 Garry Filakhtov 2022-06-21 03:07:40 UTC
We finally got a new release from the upstream 0.4.18!
Comment 4 Larry the Git Cow gentoo-dev 2022-06-21 04:41:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64b8854267134d2539c6b66d793a25fc2157a085

commit 64b8854267134d2539c6b66d793a25fc2157a085
Author:     Matt Turner <mattst88@gentoo.org>
AuthorDate: 2022-06-21 04:13:04 +0000
Commit:     Matt Turner <mattst88@gentoo.org>
CommitDate: 2022-06-21 04:40:44 +0000

    net-libs/libproxy: Version bump to 0.4.18
    
    * Add IUSE=duktape (bug #842714)
    * Fix IUSE=webkit (broken by commit 0fdbf838a0ef 5.5 years ago)
    * Drop libproxy-0.4.10-disable-pac-test.patch; test seems to pass now
    
    Closes: https://bugs.gentoo.org/842714
    Signed-off-by: Matt Turner <mattst88@gentoo.org>

 net-libs/libproxy/Manifest                         |  1 +
 ...proxy-0.4.18-Fix-building-without-duktape.patch | 33 ++++++++
 .../files/libproxy-0.4.18-avoid-nm-build-dep.patch | 90 ++++++++++++++++++++++
 net-libs/libproxy/libproxy-0.4.18.ebuild           | 84 ++++++++++++++++++++
 net-libs/libproxy/metadata.xml                     |  1 +
 5 files changed, 209 insertions(+)